import pyb, _thread,time,onewire,ds18x20
from pyb import Pin
from ssd1306 import SSD1306
from machine import Pin
display = SSD1306(pinout={'sda': 'PB7','scl': 'PB6'},height=64,external_vcc=False)
ow=onewire.OneWire(Pin('PB0'))
ds=ds18x20.DS18X20(ow)
def funcA(sec):
	try:
		display.poweron()
		display.init_display()
		display.draw_text(1,1,'18b20Tem')
		while True:
			try:
				roms = ds.scan()#扫描总线上的设备
				ds.convert_temp()#获取采样温度
				for rom in roms:
					tem1=ds.read_temp(rom)
					print("18B20TEM:",tem1)
					display.draw_text(55,1,str(round(tem1,1)))
			except :
					display.draw_text(55,1,'NC')
			display.display()
			time.sleep_ms(30)
	except Exception as ex:
		print('Unexpected error: {0}'.format(ex))
if __name__ == '__main__':
	_thread.start_new_thread(funcA, (1,))